import { DOMPart } from '../dom/dom.js';
import { TextInputComponent } from './text-input-component.js';
export declare class TextInputPart extends DOMPart<HTMLInputElement> {
    core: TextInputComponent;
    static transformLegacy(app: any): void;
    constructor();
    getElement(): HTMLInputElement;
    render(): void;
    value: string;
    placeholder: string;
    onChange(callback: () => void): void;
}
